Subject: Pluerotus Slide Show

From: [email-masked] (Justin D. Kirkland)
Date: 7 Feb 1995 15:31:54 GMT

In my previous posting I said I needed Pluerotus slides for 
a presentation.  I have had a few responses, but I feel I need
to clarify that I am looking for projector slides for a slide
show on Oyster Mushroom production and not microscope slides.
Any help would be appreciated.  Thanks-Justin
--